Bug 103939 - 4% performance drop in GLB 2.7 Egypt from "Use a 565 format for GL_RGB and GL_UNSIGNED_SHORT_5_6_5 textures"
Summary: 4% performance drop in GLB 2.7 Egypt from "Use a 565 format for GL_RGB and GL...
Status: RESOLVED MOVED
Alias: None
Product: Mesa
Classification: Unclassified
Component: Drivers/DRI/i965 (show other bugs)
Version: git
Hardware: Other All
: medium normal
Assignee: Intel 3D Bugs Mailing List
QA Contact: Intel 3D Bugs Mailing List
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2017-11-27 15:22 UTC by Eero Tamminen
Modified: 2019-09-25 19:06 UTC (History)
0 users

See Also:
i915 platform:
i915 features:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Eero Tamminen 2017-11-27 15:22:38 UTC
Following commit was bisected (on SKL GT2) to be cause for a performance drop in GLB 2.7 Egypt onscreen and offscreen tests:
-------------------------------------------------------------
commit 18bdf73556440ca2eaac2d22e1e3ebe1be7b6c1d
Author:     Kenneth Graunke <kenneth@whitecape.org>
AuthorDate: Wed Oct 4 01:08:37 2017 -0700
Commit:     Kenneth Graunke <kenneth@whitecape.org>
CommitDate: Thu Oct 5 14:30:47 2017 -0700

    mesa: Use a 565 format for GL_RGB and GL_UNSIGNED_SHORT_5_6_5 textures.
    
    Found while trying to optimize an application.
    
    Not observed to help performance on i965, but should at least reduce
    the memory usage of such textures a bit.
    
    Reviewed-by: Eric Anholt <eric@anholt.net>
    Tested-by: Eero Tamminen <eero.t.tamminen@intel.com>
-------------------------------------------------------------

Egypt performance drop is clearly visible on following platforms:
* 4% on BSW N3050 & SKL GT2 & KBL GT2
* 2% on BXT J4205 & HSW GT2 & SKL GT4e
* 2% on BYT N2820 (only offscreen version)

(BSW & BYT have 1-channel memory, others 2-channel.)

On some other platforms the performance also increases, as was expected:
* 3% on BDW GT3
* 1% on BDW GT2 & SNB GT2 (only offscreen version)


(Sorry for filing this so late. I had been waiting to see whether blorp rework / texture RBC would affect this, but forgot it.  That didn't affect Egypt.)
Comment 1 Eero Tamminen 2019-07-12 11:45:23 UTC
Performance is still mostly at the regressed level for offscreen Egypt.

SNB & HSW perf regressed further in mid February 2019.

For onscreen version on GEN9+ platforms, perf is nowadays much higher due to E2E RBC support.
Comment 2 GitLab Migration User 2019-09-25 19:06:06 UTC
-- GitLab Migration Automatic Message --

This bug has been migrated to freedesktop.org's GitLab instance and has been closed from further activity.

You can subscribe and participate further through the new bug through this link to our GitLab instance: https://gitlab.freedesktop.org/mesa/mesa/issues/1658.


Use of freedesktop.org services, including Bugzilla, is subject to our Code of Conduct. How we collect and use information is described in our Privacy Policy.